<?php
session_start();  
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
$idcdin = $sesion->id;
   $id_inv=$_POST['c_id_inv'];
   $centro=$_POST['copia_clave_cd'];
   $cuenta=$_POST['copia_cuenta'];
   $gtot=$_POST['copia_gtot'];
   $ptos=$_POST['copia_ptos'];
   $icentro=$_POST['idcentro'];
   $ipago=$_POST['pago'];
    $tipop=$_POST['pagos'];
	@$ibanco=$_POST['banco'];
	$ifecha=$_POST['fecha_i'];
	@$ifolio=$_POST['folio'];
	@$bconf=$_POST['autbco'];
	$abono=$_POST['abonar']; 
	   $porpagar=$_POST['elporpagar'];  
	$impresion=$_POST['imprimir'];
	$restante=$_POST['elresto'];
	@$comtarj=$_POST['comision'];
	@$restpago=$_POST['pagor'];
	$idv=$_POST['voucher'];
	$cdent=$_POST['entrega'];
	$pago_ef=0;
	$pago_de=0;
	$pago_tc=0;
	$pago_vo=0;
	$pago_re=0;
	$pago_xp=0;
	
	if($bconf!=NULL){$ifolio=$bconf;}
	if($restpago=='Deposito'){$tipop='DEPOSITO';}
	if($restpago=='Tarjeta'){$tipop='TARJETA';}
	
   $qp3 = "select  idusuarios_ci, nombre from usuarios_ci where idusuarios_ci='$idcdin'";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp3 = mysqli_fetch_object($cp3);	
//	$idcentro = $rp3->idcd;
	$nombrecentro=$rp3->nombre;
	$puntosok=$ptos;

 
 
   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}

	   		// **********************************************************************************	
	   		
			
function FechaFormateada($FechaStamp) {
    $timezone = -6;//GTM -6 UTC-6 DF
    $hora = gmdate("g:i A", time() + 3600 * ($timezone + date("I"))); //<--Hora
    $ano = $FechaStamp[3]; //<-- AÒo
    $mes = $FechaStamp[2]; //<-- n˙mero de mes (01-31)
    $dia = $FechaStamp[1]; //<-- DÌa del mes (1-31)
    $dialetra = $FechaStamp[0];  //DÌa de la semana(0-7)
    switch ($dialetra) {
        case 0: $dialetra = "Domingo";
            break;
        case 1: $dialetra = "Lunes";
            break;
        case 2: $dialetra = "Martes";
            break;
        case 3: $dialetra = "Mi&eacute;rcoles";
            break;
        case 4: $dialetra = "Jueves";
            break;
        case 5: $dialetra = "Viernes";
            break;
        case 6: $dialetra = "S&aacute;bado";
            break;
    }


    switch ($mes) {
        case '01': $mesletra = "Enero";
            break;
        case '02': $mesletra = "Febrero";
            break;
        case '03': $mesletra = "Marzo";
            break;
        case '04': $mesletra = "Abril";
            break;
        case '05': $mesletra = "Mayo";
            break;
        case '06': $mesletra = "Junio";
            break;
        case '07': $mesletra = "Julio";
            break;
        case '08': $mesletra = "Agosto";
            break;
        case '09': $mesletra = "Septiembre";
            break;
        case '10': $mesletra = "Octubre";
            break;
        case '11': $mesletra = "Noviembre";
            break;
        case '12': $mesletra = "Diciembre";
            break;
    }
    return "$dialetra, $dia de $mesletra de $ano $hora";
}

$consulta = "SELECT DAYOFWEEK(NOW()),DAY(NOW()),MONTH(NOW()),YEAR(NOW())";
$q = mysqli_query($conexion, $consulta) or die('Error (select consec): ' . mysqli_error($conexion));
$Fecha = mysqli_fetch_array($q);
$fechaT = FechaFormateada($Fecha);

  		// **********************************************************************************
		     $qa = "SELECT consec FROM cdconsec WHERE idcd =$idcdin";
   $ca = mysqli_query($conexion, $qa) or die ('Error (select consec): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $trans = $ra[0]+1;
	};
	
	if($cdent==$idcdin){
	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
							    ) 
							    VALUES 
							    (
								    '$id_inv', '11',curdate(),curtime(),'$idcdin', '$trans','$cdent', 'ENTREGADO', curdate(),'$gtot'
							     )";
					$cIP = mysqli_query($conexion, $qIP) or die ('Error (insert transacciones): ' . mysqli_error($conexion));
	}else{
	$qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, fechae,  observaciones
							    ) 
							    VALUES 
							    (
								    '$id_inv', '11',curdate(),curtime(),'$idcdin', '$trans','$cdent', 'PENDIENTE', '0000-00-00','$gtot'
							     )";
					$cIP = mysqli_query($conexion, $qIP) or die ('Error (insert transacciones): ' . mysqli_error($conexion));
	}
					
				$qa = "SELECT idtransacciones FROM transacciones WHERE inversionista_id_inver = '$id_inv' and fechat= curdate() order by horat ASC";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $transac = $ra[0];
	};
	
	
	if($impresion==1){
                                  $qPP = "select observaciones from voucher where idv=$idv";
    $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP pagos: '. mysqli_error($conexion));
                           while($rDG = mysqli_fetch_row($rPP))
               {
                $obser = $rDG[0];
  
               };
                      $obser2=$obser." PED".$trans;
    
                  
    $qPP = "update voucher set restante='$restante', observaciones='$obser2' where idv=$idv";
    $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP regs2: '. mysqli_error($conexion));
      $qPP = "insert into asignavoucher values ('$idv', '$transac', '$porpagar')";
    $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP asignaregs: '. mysqli_error($conexion));         
               
              $parabono=$gtot; $pago_vo=$gtot; 
               
               
           }

           if($impresion==2){
               $qPP = "select observaciones from voucher where idv=$idv";
    $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP pagos: '. mysqli_error($conexion));
                           while($rDG = mysqli_fetch_row($rPP))
               {
                $obser = $rDG[0];
  
               };
                      $obser2=$obser." PED".$trans;

    $qPP = "update voucher set status='1', observaciones='$obser2', restante='0' where idv=$idv";
    $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP regs2: '. mysqli_error($conexion));
       $qPP = "insert into asignavoucher values ('$idv', '$transac', '$porpagar')";
    $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP asignaregs: '. mysqli_error($conexion));            
               
             $parabono=$abono;    $pago_vo=$abono; 
			 switch($restpago){
			 case "Efectivo": $pago_ef=$gtot-$abono; break;
			 case "Deposito": $pago_de=$gtot-$abono; break;
			 case "Tarjeta": $pagocom=$gtot-$abono; $pago_tc=$pagocom*1.04; $tarjetacom=$pagocom*.04;
			 $tarjetacom2=redondear($tarjetacom); $porpagar=redondear($pago_tc); break;}
           }

		          
		$qP = "INSERT INTO depositos
							    (	 
							      centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
							    ) 
							    VALUES 
							    (
								    '$idcdin', '$transac','$gtot','0','$ifolio','$ibanco',  '$ifecha',  '$tipop'
							     )";
					$cP = mysqli_query($conexion, $qP) or die ('Error (Intento de Actualizacion depositos): ' . mysqli_error($conexion));
	
	for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A4[$k]=$_POST["copia_id_prod$k"];
					$qP1 = "INSERT INTO nsalida
							    (	 
							     transacciones_idtransacciones, productos_idprod, cant, asignar 
							    ) 
							    VALUES 
							    (
								     '$transac', '$A4[$k]','$A1[$k]','$A1[$k]'
							     )";
					$cP1 = mysqli_query($conexion, $qP1) or die ('Error (Intento de Actualizacion en nsalida): ' . mysqli_error($conexion));
					$qP1 = "INSERT INTO pedido
							    (	 
							      transacciones_idtransacciones, productos_idprod, cant 
							    ) 
							    VALUES 
							    (
								    '$transac', '$A4[$k]','$A1[$k]'
							     )";
					$cP1 = mysqli_query($conexion, $qP1) or die ('Error (Intento de Actualizacion en Pedido): ' . mysqli_error($conexion));
					
					if($idcdin==$cdent){ $qpl = "update stock set cantidad=cantidad-$A1[$k] where idprod=$A4[$k] and idcd='$idcdin'";
$cpl = mysqli_query($conexion, $qpl) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));}
		   		}	
		   	}

$qIP2 = "INSERT INTO pagovta
							    (	 
							     idtransacciones, efectivo, deposito, tarjeta, regalias, voucher, porpagar 
							    ) 
							    VALUES 
							    (
								    '$transac', '$pago_ef', '$pago_de', '$pago_tc', '$pago_re', '$pago_vo', '$pago_xp'
							     )";


$cIP2 = mysqli_query($conexion, $qIP2) or die ('Error (insert pagovta): ' . mysqli_error($conexion));
$qPP = "update cdconsec set consec='$trans' where idcd=$idcdin";
    $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP update consec: '. mysqli_error($conexion));


			$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$id_inv."'";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_tel = $rDG[8];
		   	};
   

   $gtot=0;
   
   echo"<table><tr valign=\"top\" height=\"470\">";
	   		echo "<td>
			<img src=\"notatopsal.gif\" width=\"300\">
			<font size=\"2\">
			<br><bR>
			<b>Pedido $idcdin - $trans Trans: $transac  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Pago: $tipop </b>";
			
			echo"<br>$fechaT<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($restpago=="Tarjeta"){
			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$tarjetacom2</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tarjetacom2</font></td></tr>";$gtot+=$tarjetacom2;}
			$gtot2=$gtot;
		   	echo "<tr><td></td><td align=\"center\">Puntos $ptos</td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			 <tr><td></td><td></td><td>Voucher:</td><td align=\"center\" width=\"70\">$ $parabono</td></tr>
                   <tr><td></td><td align=\"right\">Restante</td><td>$restpago:</td><td align=\"center\" width=\"70\">$ $porpagar</td></tr>
			
		
			
			</table>ORIGINAL - Distribuidor &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Restante en Voucher: $restante</font>
			</td>";
			
			echo "<td><img src=\"notatopsal.gif\" width=\"300\">
			<font size=\"2\">
			<br><bR>
			<b>Pedido $idcdin - $trans  Trans: $transac  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Pago: $tipop </b>";
		
			echo"<br>$fechaT<br> Asignar a RFC: $dg_rfc &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			if($restpago=="Tarjeta"){
			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$tarjetacom2</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tarjetacom2</font></td></tr>";$gtot+=$tarjetacom2;}
	
		   	echo "<tr><td></td><td align=\"center\">Puntos $ptos</td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			 <tr><td></td><td></td><td>Voucher:</td><td align=\"center\" width=\"70\">$ $parabono</td></tr>
                   <tr><td></td><td align=\"right\">Restante</td><td>$restpago:</td><td align=\"center\" width=\"70\">$ $porpagar</td></tr>
			
		
			
			</table>COPIA - CD &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Restante en Voucher: $restante</font></td></tr>";

echo"<tr>";
	   		echo "<td><br>
			<font size=\"5\">
			<center><b>Control Inventario</B></center> </font><font size=\"2\"><br><b>Pedido $idcdin - $trans Trans: $transac  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</b>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CD: $idcdin &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; CDE: $cdent";
			
			echo"<br>$fechaT
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}
			
			
		   	echo "<tr><td></td><td></td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			 
			
			</table></font>
			<center><br><br>_____________________<br>Recib&iacute; Mercancia";echo"</td>";
			echo "<td><br><font size=\"5\">
			<center><b>Control Admin.</B></center>
			<font size=\"2\"><br><b>Transacci&oacute;n $idcdin - $trans</b> Trans: $transac &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; RFC: $dg_rfc 
			 ";
			if($ipago==2){echo"<br><b> Ref: </b>$ifolio &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b> Fecha: </b>$ifecha ";}
			echo"<br>$fechaT
			
			<br>Nombre: $dg_nom $dg_apP $dg_apM
			<br>CD:<B>$idcdin</B> $nombrecentro CDE: $cdent Vou: $idv 
			<br><br><table><th>Cant</th><th>Producto</th><th>Precio</th><th>Total</th>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{	
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				$A3[$k]=$_POST["copia_precio$k"];
					$A4[$k]=$_POST["copia_id_prod$k"];
					$tot=$A1[$k]*$A3[$k];
					$gtot+=$tot;
		   			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>$A1[$k]</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>$A2[$k]</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$A3[$k]</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tot</font></td></tr>";
		   		}	
		   	}if($restpago=="Tarjeta"){
			echo "<font size=2><tr><td align=\"center\" width=\"20\"><font size=2>1</font></td>  
					<td align=\"center\" width=\"140\"><font size=2>Plata 1000 TC</font></td>  
					<td align=\"center\" width=\"23\"><font size=2>$tarjetacom2</font></td>
					<td align=\"center\" width=\"70\"><font size=2>$tarjetacom2</font></td></tr>";$gtot+=$tarjetacom2;}
			
			
		   	echo "<tr><td></td><td align=\"center\">Puntos $ptos</td><td>Total:</td><td align=\"center\" width=\"70\">$ $gtot2</td></tr>
			
			</table></font>
			<center><table border=\"1\"><tr>
			<td>EF</td><td>DE</td><td>TC</td><td>RE</td><td>VO</td><td>XP</td>
			</tr>
			<tr>
			<td>$pago_ef</td><td>$pago_de</td><td>$pago_tc</td><td>$pago_re</td><td>$pago_vo</td><td>$pago_xp</td>
			</tr></table>";echo"</td></tr>";
?>

